%define	name	volumeicon
%define	version	0.5.1
%define	release	%mkrel	1

Summary:	Lightweight volume control
Summary(de):	Ressourcensparende Lautstärken Kontrolle  
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	GPLv3
URL:		http://www.softwarebakery.com/maato/home.html
Source:         http://www.softwarebakery.com/maato/home.html/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+3-devel 
BuildRequires:	%{_lib}alsa2-devel
BuildRequires:	libx11-devel
BuildRequires:	glib2-devel
BuildRequires:	cairo-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
Obsoletes: %name < %version

%description
Volume Icon aims to be a lightweight volume control that sits in your systray.
Features

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable stepsize (percentage of volume increase/decrease per scrollwheel step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider

#german
%description -l de
Volume Icon ist eine leichte Lautstärken Kontrolle, die sich in Ihrem Systray einnistet.
Highlights:

* Ändern der Lautstärke durch Scrollen auf dem Systray-Icon
* Frei wählbarer Kanal
* Konfigurierbare Lautstärke (zum erhöhen/verringern der Lautstärke in % mit dem Scrollrad)
* Mehrere Icon-Themen (GTK-Theme als Standard)
* Konfigurierbare externen Mixer
* Volume Slider

%prep
%setup -q 

%build
%configure2_5x 
       
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %{buildroot}%_sysconfdir/xdg/autostart/
cat > %{buildroot}%_sysconfdir/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Comment[de]=Lautstärkesymbol für das SysTray
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio;X-MandrivaLinux-Multimedia-Sound
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_sysconfdir/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo


%changelog
* Mon Aug 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.5.1-1pclos2015
- 0.5.1
- use gtk3

* Sat Nov 29 2014 pinoc <vogtpet at gmail.com> 0.5.0-1pclos2014
- 0.5.0

* Sun Sep 18 2011 leiche <meisssw01 at gmail.com> 0.4.3-1leiche2011
- 0.4.3
- build for 64 bit
- add German description

* Tue Jun 14 2011 Texstar <texstar at gmail.com> 0.4.1-1pclos2011
- 0.4.1

* Tue Apr 06 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- initial pkg

